# Uses of Class
org.apache.avro.mapred.AvroKey

Packages that use AvroKey
Package
Description
org.apache.avro.hadoop.io
org.apache.avro.mapreduce

## Uses of AvroKey in org.apache.avro.hadoop.io

Methods in org.apache.avro.hadoop.io with parameters of type AvroKey
Modifier and Type
Method
Description
`int`
AvroKeyComparator.`compare(AvroKey<T> x, AvroKey<T> y)`

## Uses of AvroKey in org.apache.avro.mapreduce

Methods in org.apache.avro.mapreduce that return AvroKey
Modifier and Type
Method
Description
`AvroKey<T>`
AvroKeyRecordReader.`getCurrentKey()`
`AvroKey<K>`
AvroKeyValueRecordReader.`getCurrentKey()`
Methods in org.apache.avro.mapreduce that return types with arguments of type AvroKey
Modifier and Type
Method
Description
`protected RecordWriter<AvroKey<T>,NullWritable>`
AvroKeyOutputFormat.RecordWriterFactory.`create(org.apache.avro.Schema writerSchema, org.apache.avro.generic.GenericData dataModel, org.apache.avro.file.CodecFactory compressionCodec, OutputStream outputStream, int syncInterval)`
Creates a new record writer instance.
`RecordReader<AvroKey<T>,NullWritable>`
AvroKeyInputFormat.`createRecordReader(InputSplit split, TaskAttemptContext context)`
`RecordReader<AvroKey<K>,AvroValue<V>>`
AvroKeyValueInputFormat.`createRecordReader(InputSplit split, TaskAttemptContext context)`
`RecordReader<AvroKey<K>,AvroValue<V>>`
CombineAvroKeyValueFileInputFormat.`createRecordReader(InputSplit inputSplit, TaskAttemptContext taskAttemptContext)`
`RecordWriter<AvroKey<T>,NullWritable>`
AvroKeyOutputFormat.`getRecordWriter(TaskAttemptContext context)`
Methods in org.apache.avro.mapreduce with parameters of type AvroKey
Modifier and Type
Method
Description
`void`
AvroKeyRecordWriter.`write(AvroKey<T> record, NullWritable ignore)`